diff --git a/hubs/tests/vcr-request-data/hubs.tests.widgets.test_halp.HalpFunctionsTestCase.test_execute b/hubs/tests/vcr-request-data/hubs.tests.widgets.test_halp.HalpFunctionsTestCase.test_execute
new file mode 100644
index 0000000..1e03fdc
--- /dev/null
+++ b/hubs/tests/vcr-request-data/hubs.tests.widgets.test_halp.HalpFunctionsTestCase.test_execute
@@ -0,0 +1,98 @@
+interactions:
+- request:
+    body: null
+    headers:
+      Accept: ['*/*']
+      Accept-Encoding: ['gzip, deflate']
+      Connection: [keep-alive]
+      User-Agent: [python-requests/2.13.0]
+    method: GET
+    uri: https://apps.fedoraproject.org/datagrepper/raw?topic=org.fedoraproject.prod.meetbot.meeting.item.help&delta=864000
+  response:
+    body:
+      string: !!binary |
+        H4sIAAAAAAAAA+2b+4+qypbH/xXj/HJv9rbl6WMn94dGQUXF5lUo0zedgkJBngK2j5v9v88CtR/7
+        9jmTM3MmOZmYdNJUQa1aa7Gq/HwF/9XE+WYfe0lZNH/8q+ni0tukeeBB6z//+b3ppkmJg+TaIl5U
+        4uaPXoejKOqB+t70EtL8QXN9iqG6dIeuujZ5us886F7jqPC+N2OvGlKNTtLy5Vf7VV+G3RBvPvaU
+        aRa4H9r7wsuvzTQnXt78Aa4UbvN78/PYDA7Bn+/NPD0UL5mXv1x6GP57syhxXlbO9vosx16dfZsI
+        7G4e1h5Jc5zl6dZzywf4Tx5izyudtKz/B8nmISi9+MH3oqwJ07259bNK1D4B8/zFieLiBT68xF5R
+        XB2E7Hp5GayDKgkQwkynyplODzSTyEYgDDUkm7ppyyolmVp9jioHIS3rJkI4VIaqQWibkljdlAWb
+        ioYqSjlCaZplZrPnxKEzGY/trRFKmmbaA9OUWJuRBE9UOqqZDWyKt9RQspEoFShSpwaSzoRSYDT8
+        IUnWlmRq0FJHQ5LynKiGNlYNCWmmzBmmjxzTPlsRKZxYEjXkK2qErueV1DD7uoPsfLVVpvgxk7VQ
+        5ldb+eBI4dlc+uJz4oXSQo3JAoWy4NLawEFZYYXuEfII8wmKaghXaxLMRnBtLfIXTkhrizERTRSJ
+        g8jWzKUgPSeEzkrwRSej+WnF+lMcSjlYz13Lz7Hp8uQsDFRakhC1OmlxGSDmSJuVVSkbL5aRbYnv
+        /j0n5tKcVp7DXANF8kUkmgfD1GxC9U19GSnayD0YyH61RM3UDUHRpIg14kz2TFq0z4KC4j7kGdV5
+        hrx9zPRjJjiSbf5epn8vz8/Jb2V6EE/Oeuz/W6Z/L89gbWkr6vlDpi16O6dt1kZkSmJtODcmUwsR
+        bo4yU136cyeUX21TkwnKSgR5nFNZuqJ8uFYqnxMUZ6F6RsyKobeeeOyoS+0auZIjMdsbW2mrj44Z
+        5FYjj1lYRWZLBBGKNpQl8fUR4Y0RXd+V5+TX+2IuUTXf3kAK3IlMqGr8Y4VjSh7hkZYOomw8XwoB
+        tC81ESvgm5aQrWNER+hZzMVjCdaxFyoDJ8kEI5QTzEopZiKoBvegXtaLoJr9AY4kgTDExtR8atOR
+        BFkonhPX4nWHFSLI0dwe9FUvlCc6rc0WSJFgLe6wdfRdSlq4YTSaU8oAxzJD4lJaLAXORf4efMJm
+        TM9UM3p6TuaP2ZwYQqAPSTCjiYljP7RF9TSjkKSZ5dEeIRmF0VSPJROLR81B2lhPBNYaRaotzo8L
+        w37C44zVJP8Iq17KEDbt0Bwqu0FIMm0o8TZanVVWecVDzVJCX7aSiEMU3bEpLZ0jNJobtj9lxJNq
+        iLQ+UvbTMxFWbAQrC3YeFipDWJl92F3sLeQi0aq9wpRyjRKPyNIkQktDaAuEOlY7j62jTFZRFCiS
+        lGgmPwAbS31UWs8JHs3PmNWQI/ID2MNCZySXKIH7LMlQlcpAe8ywJaaHFSLYlcKTthUw7E7hpYJ9
+        TRHRyKYl5KBHGqwNStsRj7IiZfL07Itzi+b0kWRZon2E6FnwNUQmESDCcBBGrEnJHSQqA8/qC8gS
+        D2os5mYYyRjZe8hbRCJkrnjTjEKVKegZBRXA+MnKknLYNRWw5sPdH8KKmt5WlIXUqWodLSTSmsuS
+        YbUroUjSnhOIjtXDvuaFSDNMkapzZaKBJ9ITZNEjl86Wzoj3NRGtDFNG1/NDLNJPUBkWPmT16oLd
+        fwC7pTU5uaOjPaclThtfKtaI7IG6VEw1vqyY+TKDikYqzHa4WoMdiB5blTVGXhkxr5iGzz4ng1C7
+        7TwH2Hlgb82WZqJt57HC6XEmwMr5ZT0omoZgbw2rPZgUBElg9Yi1c8Q/JxbyBxf/DlPLgJVtVTsR
+        n9hMKShDSbDR5LCQ/AmmEQuz2Zpk6/PREXwnrAorSzdL1jLlAXykTaDelkSGnZGt/dsKar0WYdes
+        9tNLZIrhmsTQYRZNkiQ1lDUEtaeIZKCaIW8nIuzVsoytaAE7kujnRqy9zsVMNJb2q4GijqqXoj2E
+        CMeCAFUxnNJ+vDorUIdSbpzJkojFWQ0jDvI2M7Z+irfKwg61HHyL5C2spqF6fuRW4ZzWKXuhUURf
+        xZqB6Kg0DG2yWkoqltypzgoZ3soDN1KWsIoFdyshBUmxc45sT5RM+JShQ8qhNNtcbk7zkXgyh+ZJ
+        F49QGcLZkaLBjEUr86zstZEk4yTaQ1UbaJOtXFZ40q0SeY9pzQMzE0Gk2uA3aGHzj388J4BFQfNH
+        t9cF+Co2FdXhsgRS87wa8TRc+jhJgIoAUfR0X/penryMgAAjL665xU1JmnhRBJdwAH2bIIrTHIil
+        C+dI5PkxTiqQ+t5cH7wgrnAMsGe7TnOnmoHpQaOIg9KHi4CxtgcHOuEgxJH3Coffm1GQ7I9xSmqU
+        g3YMDhKYu8NVx0ccB1EUpDAJjIrDNKonZIEFgzwIYbYK5zY4ivCmmoOFq84pAUyDRqdiMR8H+edY
+        y3zvfQzl0n7z+dq8en1tVX5fDq+eXxqfHLx0Xf26NN49q9oXdxJIJxDff1wIs3WlyWZF1IDXUe0r
+        JKWiwufmOD00yrThJdiJvEaZB3EjTRqndJ83dH3YIHnw6j03G4d0H5GG4zVwY5OmpCHVthtzvMFn
+        MNUA3A3cyGvW6faSPeSX63QqZ13w9ZZzYGC4hS8XMO52WY5jH6ifFbbXLl5QHC6XRH2waPyNoehu
+        i2JbdPfvMDQ9JDWMv4V8JeoqVLrT6zUmiZvGWeSVXuNvCQRReoDhENXfGwNICmBxI103JKYDA/d5
+        lSG/LLPiR7t94+7PSA6Q3v6cwva7Q3CmcNOH944W3XmgqObPehm8BCBJmvXJNdfxOkyfb5G+x7S4
+        Pt9v9YjTb7Eus4YU4D6DK4eKYJPgcl9VS5PQE0ksZ5Fif6PMTB4U5qQrrIan4d7TS9tPnd0x7gdr
+        hzqu095+GnS6+6cJP6SMbrEcctPe6szuXXbKaKsQtr2eRzaL8rGnyUtKOvRjc7v2x4/a/mRact7m
+        N334zMo0EqfrDraWSfvszWfGhJ+cxyG/2AGTYv3J1HNZGYnL58Q3Z/vs8ajqfs4dXHVo2OZlEyig
+        YlzvJcFxHQIucZLG1XJ9O/UK+qUu4yb10Hngr8UAtyjOPhfE+339wzrp5/e77rnrnrvuueueu+65
+        65677rnrnv9j3cP2vtY9mOD4UEsKp6RqOQH/SVomQbLFdf+7PICT23B/ERvcVQrQFfoH0QbXp2+S
+        pVIoDiiZ/eUwOMcp+PAmCWim+kI4Bya/qJksx6/11+lU9fVwQtK4+hL50kydE9lXbF43Cj+o53yX
+        E53qS2yA96K8jjiyMPWpPnHTP91P8uca8kWXfIr2N/TQNeab0LlEe2tdAr62rjFfW5ewvxBDb7Ff
+        m7fwL82PGbj2vCXh1q7z8JWy+pSNS8ctIf+d8GoxX0ovw/dAPuVhfQ1oFRw3Djgpi0qN4SJsgFps
+        VEzbWOdp3NAziOR7Y4adoqFPRkUDgmkMxWsDhmRpto8AeRugsBsljsLKapYGtUUflxdb+/ra+G3a
+        zEuzz6qNptg31Xa9Q59UW6fPsJ3e16qN6TQeo8zHDc3DBAwWRWP+Jj5v8u3d6HXYWxL+x7qsxbwr
+        s057zXRauHKjld/cuF34rtc6Lbr/pV5zGYencJdqsSxZtzjWpVoOx9Otfp90KabH9gjX/0Wvvebt
+        k8OzvY44HSzQ2bGD46icPfmHMjTm/O4crmxN1gt1OenMtK6UtbX9mVb1jDzNfeMx2b4uvqUrk2zi
+        Wdt4TkSf4ba56Y3Vjr45KYEUjjq55u+P+pr1WJ0r88fNmDtryyf3cZ2/fhMWrxH7KHP9drB6FMfO
+        q7x5QqH4tPE66nMy2eWUtdzbYqFMrHy22zGPf5peu5XCXa/d9dpdr9312l2v3fXaXa/d9dpfWK+x
+        Hf5rvSbgY432oG4GEa6wDrTUQp/McVFUDAQiC4D9dhUgsnvc1df4XkCC6j0guMJPDzgn6/r89fil
+        boT7oojxPqo1FqB2udt7XvKyCRJQPNxF7ry8vNTT7/a4olHQlbmfngDOq+ddeRaEl5eNijJNvNOV
+        0y+Nl/qSEoM8SdPaqbK4yLlTGNb2b4KN+yTYbq5fHzu9+XjTO5eJvpA3aVEwIKNevS+FzSc10eu+
+        qYmrwU9qgqcZnvn6GdDTQtfFxkQb3DREg35gPj4GejN3HXClzD+iIt4CedcPXDuDXu8lyN2Xm0sw
+        8bty4Fp090vlQK9dmup2uq1ut9dtcbyHQTSAkHBdzLiu58Aexf76pMczhdftbrW10iLtURtjPR5B
+        URbmypWKUXgSqCwZG742XKHXJD0oy7gtjoJxuOUV+5zoAqwlIWaUjaORWYUL2mTdNzNfXnj7g0Kv
+        VoijBqFeGh1HN/rUhDY9MXekWMLuTIePIW6jiUFvnRS8OncfPT/femO+u3S0LiyneArn8GjNqhRP
+        YrTlnD/vSc/ttt+Vw1053JXDXTnclcNdOdyVw105/IWVA/Nbb7gRDH1s9U6ak+YeTvpsDe9bHx9C
+        rzikef1qWvWMp6wIOr80kqA8x9hPK2Ku3jC7EfrnN8pq29enJe/Wrx2fJrj23aa4PRx5n+TfMR4n
+        ReBE3u++H/aJ5atX364s/8HyJ57neJqjul/yvBUkJD0UDSvN62cTo+qnGx94/rPJ6yDmgW0AN5b7
+        4g9g/S+BfWT7w8WJl8PFiZf69yMf2b76pckXbM9gj2Y4impxmADb4w7b6nmYbfUdtk/zXYbqU94v
+        bK+lbblcBPYsgo/N3VIWnOV5dZ7mibVzKLoc9vvSaZn5u1mnPy+mvsHSO+ZcRnOW9uU4dGZu6eRL
+        e29qigIAGZfDKU6YwQrZpxl/0D1Fd1LuGz14pSyyOFLHUDjKJz/ivce2/+3gKru0HJ5fy6TfM0/q
+        QXBW64CT1Rk2fEAXUjpOONfgI9p5enTs9slT/zS2v5XAne3vbH9n+zvb39n+zvZ3tr+z/V+a7enf
+        YfveJ/ju/kre/Afs5j8zd/XjlL8o2B+C0m8ECXBbFAHRNQCMX+IiaLxeDitA27vlR/zn++/vBb25
+        /Av8UyxL/f+Df6dLvJ7nMS2P5egWxzq9Vp/vMS3So/vemqF5hia/wP/G2jHRXl0gYTUdbcUndPTm
+        /Vmne0bbdluhe0/lbNfrL+Oz+SqPJ/1AOR8VM15MnGI4eCpzSc4mtNxec2a/mD8nxVJ6GqPlWvkW
+        mABEE13MhqtVZ+Yrw91Ul2ws2x2XI5vDyXpqD0+Z2VG4NpvIdKS0d0e2bLe3JHF7u1NwhPU176X7
+        vhPE8n6UhSZj9YTiT4T/Swn8b+D/n9VgqEsouZ//BWcXbfcxQAAA
+    headers:
+      appserver: [proxy04.fedoraproject.org]
+      apptime: [D=630853]
+      connection: [Keep-Alive]
+      content-encoding: [gzip]
+      content-length: ['4029']
+      content-type: [application/json]
+      date: ['Wed, 22 Mar 2017 18:26:01 GMT']
+      keep-alive: ['timeout=15, max=500']
+      server: [Apache/2.4.6 (Red Hat Enterprise Linux) mod_wsgi/3.4 Python/2.7.5]
+      strict-transport-security: [max-age=15768000; includeSubDomains; preload]
+      vary: [Accept-Encoding]
+    status: {code: 200, message: OK}
+version: 1
diff --git a/hubs/tests/vcr-request-data/hubs.tests.widgets.test_halp.HalpViewsTestCase.test_data b/hubs/tests/vcr-request-data/hubs.tests.widgets.test_halp.HalpViewsTestCase.test_data
new file mode 100644
index 0000000..4d48985
--- /dev/null
+++ b/hubs/tests/vcr-request-data/hubs.tests.widgets.test_halp.HalpViewsTestCase.test_data
@@ -0,0 +1,194 @@
+interactions:
+- request:
+    body: null
+    headers:
+      Accept: ['*/*']
+      Accept-Encoding: ['gzip, deflate']
+      Connection: [keep-alive]
+      User-Agent: [python-requests/2.13.0]
+    method: GET
+    uri: https://apps.fedoraproject.org/datagrepper/raw?topic=org.fedoraproject.prod.meetbot.meeting.item.help&delta=864000
+  response:
+    body:
+      string: !!binary |
+        H4sIAAAAAAAAA+2baY/qSpKG/wpivnTrHAqvgI/UH8pgAwZMeUuDp1ql9AI2XvFSLK3z3ydsoJbT
+        de/oztyRrkZIJZUz7YyMCEcmz4vNv9o431axl5RF+8e/2g4uvW2aBx60/vOf39tOmpQ4SK4t14tK
+        3P4x6DEEQTwQ39te4rZ/kAxHUARH0nTdtc3TKvOge4Ojwvvejr16SD06ScuXX+3XfRl2Qrz92FOm
+        WeB8aFeFl1+bae56efsHuFI47e/tz2MzOAR/vrfz9FC8ZF7+cumh2O/tosR5WTs74GiGvTr7NhHY
+        3T5sPDfNcZanO88pH+C/+xB7XmmnZfM/SLYPQenFD74XZW2Y7s2tn3WiqgTMsxcniosX+PASe0Vx
+        dRCy6+VlsAnqJEAIc40o5xo5VA1X0gN+pCLJ0AxLUgjRUJtzRDkMSUkzEMKhPFJ0l7QIkdYMibeI
+        aKSglHEJVTWNbP6c2GQm4Ym100NRVQ1raBgibVEi7wlyTzGyoUWwphKKFhLEAkXKTEfi2SVkGA1/
+        SJTUlTvTSbGnIlF+ThRdnSi6iFRDYnTDR7Zhnc3ILexYFFTky0qEruflVDc4zUZWvt7JM/yYSWoo
+        seuddLDF8GysfOE58UJxqcTuEoUS75Dq0EZZYYbOEfII8/GyovNXayLM5uLGWuQv7ZBUlxNXMFAk
+        DCNLNVa8+Jy4ZFaCL5o7XpzWtD/DoZiD9dwx/RwbDuue+aFCiiIi1ic1LgNEHUmjtipmk+Uqskzh
+        3b/nxFgZs9pzmGsoi76ABOOgG6rlEpyhrSJZHTsHHVmvpqAams7LqhjRepxJnkEK1pmXUcxBnlGT
+        Z8jbx0w/ZrwtWsbvZfr38vyc/Famh/H0rMX+v2X69/IM1laWrJw/ZNokdwvSoi3kztxYHS306cxE
+        LrNAmaGs/IUdSq+WoUouykoEeVwQWbomfLhWLJ8TFGehckbUmiJ3nnDsKSv1GrmcIyGr9J2408bH
+        DHKruo9ZWEdmiS5yCVKXV66vjV1WH5PNXXlOfr0vxgrV81U6kuFOZHxd4x8rHBPSGI/VdBhlk8WK
+        D6B9qYlYBt/UxN3ZenSEnuVCOJZgHXuhPLSTjNdDKcG0mGIqgmpwDsplvfCKwQ1xJPIu5VqYWMws
+        MhIhC8Vz4pisZtN8BDlaWENO8UJpqpHqfIlkEdbiHptH3yHEpRNG4wUhD3EsUW5cissVzzjIr8An
+        bMTkXDGip+dk8ZgtXJ0PtJEbzEnXwLEfWoJymhNIVI3yaI2RhMJopsWigYWjaiN1oiU8bY4jxRIW
+        x6VuPeFJRquif4RVL2YIG1ZojOT9MHQzdSSyFlqfFVp+xSPVlENfMpOIQQTZswg1XSA0XuiWP6OE
+        k6ILpDaWq9nZ5dd0BCsLdh4aKoNfGxzsLtYOcpGo9V5hiLlKCEdkqqJLiiNo8y5xrHceS0OZpKAo
+        kEUxUQ12CDZW2rg0nxM8XpwxrSJbYIewh4X2WCpRAvdZlKAq5aH6mGFTSA9r5GJHDE/qjsewO4WX
+        CvZVWUBjixSRjR5JsDYsLVs4SrKYSbOzLyxMktHGomkK1hGip8HXEBkuDxGGwzCiDULqIUEeeibH
+        I1M4KLGQG2EkYWRVkLfIjZCxZg0jChWqIOcEVADlJ2tTzGHXlMGaD3d/BCtqdltRJlJmink0kUCq
+        Du2O6l0JRaL6nEB0tBZyqhciVTcEosmVgYaeQE6RSY4dMlvZY9ZXBbTWDQldz4+wQD5BZZj4kDWr
+        C3b/IeyW5vTkjI/WghQZdXKpWD2yhspKNpT4smIWqwwqGikw2+FqDXYgcmLW1ihprcesbOg+/ZwM
+        Q/W28xxg54G9NVsZibpbxDKjxRkPK+eX9SCrKoK9Naz3YLdwkQhWj1g9R+xzYiJ/ePHvMDN1WNlm
+        vROxiUWVvDwSeQtND0vRn2IS0TCbpYqWthgfwXeXVmBlaUZJm4Y0hI+0KdTbypVgZ6Qb/3a80qxF
+        2DXr/fQSmaw7hqtrMIsqiqISSiqC2pMFd6gYIWslAuzVkoTNaAk7kuDneqy+LoRM0FfWq46inqKV
+        gjWCCCc8D1UxmpF+vD7LUIdirp/dlSsUZyWMGMjbXN/5Kd7JSytUc/AtknawmkbK+ZFZhwtSI6yl
+        SrjaOlZ1REalrqvT9UpUsOjMNJrP8E4aOpG8glXMOzsRyUiM7XNkeYJowKcMGRI2oVrGantajIWT
+        MTJOmnCEyuDPthgN5zRaG2e5UseihJOogqrW0TZbOzT/pJkl8h7ThgfmBoJI1eFv0ML2H/94TgCL
+        gvaP/qAP8FVsa6rDZQmk5nkN4qm49HGSABUBomhpVfpenryMgQAjL264xUndNPGiCC5hAPq2QRSn
+        ORBLH865kefHOKlB6nt7c/CCuMYxwJ7dJs3tegZqAI0iDkofLgLG2h1s6ISDEEfeKxx+b0dBUh3j
+        1G1QDtoxOOjC3D2mPj7iOIiiIIVJYFQcplEzIQ0sGORBCLPVOLfFUYS39Rw0XHVOXcA0aPRqFvNx
+        kH+Otcwr72Mol/abz9fm1etrq/b7cnj1/NL45OCl6+rXpfHuWd2+uJNAOoH4/uNCmJ0rTbZroga8
+        jhpfISk1FT63J+mhVaYtL8F25LXKPIhbadI6pVXe0rRRy82DV++53TqkVeS2bK+FW9s0dVtiY7u1
+        wFt8BlMtwN3Aibx2k24vqSC/TK9XO+uAr7ecAwPDLXy5gHG/TzMMgPHPGtsbFy8oDpeLgjZctv5G
+        EWS/Q9Adsv93GJoekgbG30K+EnUdKtkbDFrTxEnjLPJKr/W3BIIoPcBwiOrvrSEkBbC4lW5aItWD
+        gVVeZ8gvy6z40e3euPszkgOkdz+nsPvuEJwpnPThvaND9h4Iov2zWQYvAUiSdnNyw/S8HsWxHZfz
+        qA7DsVxn4Npch3aoDaQAcxSuHSqCbYLLqq6WtktORaGcR7L1jTAyaVgY0z6/Hp1GlaeVlp/a+2PM
+        BRubOG7SQTULev3qacqOCL1frEbMbLA+05VDzyh1HcK2N/Dc7bJ8HKjSihAPXGzsNv7kUa1Ohinl
+        XXbLwWdWprpxuulhc5V0z95irk/Z6XkSsss9MCnWngwtl+SxsHpOfGNeZY9HRfNz5uAoI90yLptA
+        ARXjeC8JjpsQcImTNK6X69upV9AvTRm3iYfeA3stBrhFcfa5IN7v6x/WST+/33XPXffcdc9d99x1
+        z1333HXPXff8H+seevC17sEujg+NpLBLopET8N9NyyRIdrjpf5cHcHIXVhexwVylAFmjfxBtcXP6
+        JllqhWKDkqkuh8E5TsGHN0lAUvUXwjkw+UXNZDl+bb5OJ+qvhxM3jesvkS/N1D65Vc3mTaPwg2bO
+        dznRq7/EBngvyuuIIw1Tn5oTN/3T/yR/riFfdMmnaH9DD11jvgmdS7S31iXga+sa87V1CfsLMfQW
+        +7V5C//S/JiBa89bEm7tJg9fKatP2bh03BLy3wmvDvWl9NJ9D+RTHjbXgFbBceuAk7Ko1Rguwhao
+        xVbNtK1NnsYtLYNIvrfm2C5a2nRctCCY1ki4NmBIlmZVBMjbAoXdKnEU1lazNGgs+ri82Kqaa+O3
+        aTMvzT6rNpKg31Tb9Q59Um09jqJ7g69VG9VrPUaZj1uqh10wWBStxZv4vMm3d6PXYW9J+B/rsg71
+        rsx63Q3V6+DajU5+c+N24bte63VI7ku95lA2S+A+0aFpd9NhaIfo2AxLdjjO7RPUgB64DPeLXnvN
+        uyebpQc9YTZcorNtBcdxOX/yD2WoL9j9OVxbqqQVymram6t9Meuq1ZlUtMx9Wvj6Y7J7XX5L14a7
+        jedd/TkRfIrZ5YY3UXra9iQHYjju5apfHbUN7dEaU+aP2wlzVldPzuMmf/3GL18j+lFiuG6wfhQm
+        9qu0fUKh8LT1espzMt3nhLmqLKGQp2Y+3++pxz9Nr91K4a7X7nrtrtfueu2u1+567a7X7nrtL6zX
+        6B77tV7j8bFBe1A3wwjXWAdaaqlNF7goagYCkQXAfrsKENk57ptrfC9wg/o9ILjCTw84dzfN+evx
+        S9MIq6KIcRU1GgtQu9xXnpe8bIMEFA9zkTsvLy/N9PsK1zQKujL30xPAef28K8+C8PKyUVGmiXe6
+        cvql8dJcUmKQJ2naOFUWFzl3CsPG/k2wMZ8E283162OnNx9veucy0RfyJi0KCmTUq/elsPmkJgb9
+        NzVxNfhJTbAkxVJfPwN6Wmqa0Jqqw5uGaJEP1MfHQG/mrgOulPlHVMRbIO/6gelm0Ou9BLnzcnMJ
+        Jn5XDkyH7H+pHMiNQxL9Xr/T7w/6HYb1MIgGEBKOgynH8WzYo+hfn/R4Bv+62693ZlqkA2KrbyZj
+        KMrCWDtiMQ5PPJElE91XR2v0mqQHeRV3hXEwCXesbJ0TjYe1xMeUvLVVd17jgjrdcEbmS0uvOsjk
+        eo0YYhhqpd6zNZ0jpqThCbktxiJ25hp8DDFbVQgGm6RglYXz6Pn5zpuw/ZWt9mE5xTM4h8cbWiFY
+        N0Y7xv7znvTcbvtdOdyVw1053JXDXTnclcNdOdyVw19YOVC/9Yabi6GPrt9Js9PcwwlHN/C+8/Eh
+        9IpDmjevptXPeMqaoPNLIwnKc4z9tCbm+g2zG6F/fqOssX19WvJu/drxaYJr322K28OR90n+HeNx
+        UgR25P3u+2GfWL5+9e3K8h8sf+J5hiUZov8lz5tB4qaHomWmefNsYlz/dOMDz382eR1EPdAt4May
+        Kv4A1v8S2Ee2P1yceDlcnHhpfj/yke3rX5p8wfYU9kiKIYgOg11ge9yjOwMP0x3OpjmS7VMER3i/
+        sL2adqVyGVjzCD429yuJt1fn9XmWJ+beJshyxHHiaZX5+3mPWxQzX6fJPXUuowVN+lIc2nOntPOV
+        VRmqLANAxuVohhNquEbWac4eNE/W7JT5Rg5fCdNdHoljyB+lkx+x3mPX/3Zw5H1ajs6vZcINjJNy
+        4O31JmAkZY51H9DFLW07XKjwEW0/PdpW9+Qpfxrb30rgzvZ3tr+z/Z3t72x/Z/s729/Z/i/N9uTv
+        sP3gE3z3fyVv9gN2s5+Zu/5xyl8U7A9B6beCBLgtioDoWgDGL3ERtF4vhzWgVU75Ef9Z7v29oDeX
+        f4F/gqaJ/3/wb/ddb+B5VMejGbLD0Pagw7EDquMOSM7bUCRLke4v8L8191RUKUvEr2fjnfCEjt6C
+        m/f6Z7TrdmVy8FTO9wNuFZ+NV2ky5QL5fJSNeDm1i9HwqcxFKZuSUnfDGFyxeE6Klfg0QauN/C0w
+        AIimmpCN1uve3JdH+5kmWliyeg7jbg8n86k7OmVGT2a6dCKRkdzdH+my2925iTPYn4IjrK/FIK04
+        O4ilapyFBmUO+OJPhP9LCfxv4P+f9WCoSyi5n/8FMEuhKjFAAAA=
+    headers:
+      appserver: [proxy06.fedoraproject.org]
+      apptime: [D=634315]
+      connection: [Keep-Alive]
+      content-encoding: [gzip]
+      content-length: ['4028']
+      content-type: [application/json]
+      date: ['Wed, 22 Mar 2017 18:58:53 GMT']
+      keep-alive: ['timeout=15, max=500']
+      server: [Apache/2.4.6 (Red Hat Enterprise Linux) mod_wsgi/3.4 Python/2.7.5]
+      strict-transport-security: [max-age=15768000; includeSubDomains; preload]
+      vary: [Accept-Encoding]
+    status: {code: 200, message: OK}
+- request:
+    body: null
+    headers:
+      Accept: ['*/*']
+      Accept-Encoding: ['gzip, deflate']
+      Connection: [keep-alive]
+      User-Agent: [python-requests/2.13.0]
+    method: GET
+    uri: https://apps.fedoraproject.org/datagrepper/raw?topic=org.fedoraproject.prod.meetbot.meeting.item.help&delta=864000
+  response:
+    body:
+      string: !!binary |
+        H4sIAAAAAAAAA+2b+4+qypbH/xXj/HJv9rbl6WMn94dGQUXF5lUo0zedAkpBngK2j5v9v88CtR/7
+        9jmTM3MmOZmYdNJUQa1aa7Gq/HwF/9XE+WYfk6Qsmj/+1XRxSTZpHhBo/ec/vzfdNClxkFxbHolK
+        3PzR63AURT1Q35sk8Zo/aK5PMTTV4diqa5On+4xA9xpHBfnejEk1pBqdpOXLr/arvgy7Id587CnT
+        LHA/tPcFya/NNPdI3vwBrhRu83vz89gMDsGf7808PRQvGclfLj0M/71ZlDgvK2d7fZbrXJ19mwjs
+        bh7WxEtznOXplrjlA/z3HmJCSict6/9BsnkIShI/+CTKmjDdm1s/q0TtEzDPX5woLl7gw0tMiuLq
+        IGSX5GWwDqokQAgznSpnOj3QTE82AmGoIdnUTVtWKcnU6nNUOQhpWTcRwqEyVA2PtimJ1U1ZsKlo
+        qKKU8yhNs8xs9pw4dCbjsb01QknTTHtgmhJrM5JARKWjmtnApnhLDSUbiVKBInVqIOnsUQqMhj8k
+        ydrSmxq01NGQpDwnqqGNVUNCmilzhukjx7TPVuQVTiyJGvIVNULX80pqmH3dQXa+2ipT/JjJWijz
+        q618cKTwbC598TkhobRQY2+BQllwaW3goKywQvcIeYT5BEU1hKs1CWbzcG0t8hdOSGuLsSeaKBIH
+        ka2ZS0F6Tjw6K8EX3RvNTyvWn+JQysF67lp+jk2X987CQKUlCVGrkxaXAWKOtFlZlbLxYhnZlvju
+        33NiLs1p5TnMNVAkX0SieTBMzfaovqkvI0UbuQcD2a+WqJm6ISiaFLFGnMnEpEX7LCgo7kOeUZ1n
+        yNvHTD9mgiPZ5u9l+vfy/Jz8VqYH8eSsx/6/Zfr38gzWlrainj9k2qK3c9pmbeRNvVgbzo3J1EIe
+        N0eZqS79uRPKr7apyR7KSgR5nFNZuqJ8uFYqnxMUZ6F6RsyKobdEPHbUpXaNXMmRmO2NrbTVR8cM
+        cqt5j1lYRWZLHvIo2lCWnq+PPN4Y0fVdeU5+vS/mElXz7Q2kwJ3IhKrGP1Y4puQRHmnpIMrG86UQ
+        QPtSE7ECvmmJt3WM6Ag9i7l4LME6JqEycJJMMEI5wayUYiaCanAP6mW9CKrZH+BIEjzGszE1n9p0
+        JEEWiufEtXjdYYUIcjS3B32VhPJEp7XZAikSrMUdto6+S0kLN4xGc0oZ4FhmvLiUFkuBc5G/B5+w
+        GdMz1YyenpP5Yzb3DCHQh14woz0Tx35oi+ppRiFJM8ujPUIyCqOpHksmFo+ag7SxngisNYpUW5wf
+        F4b9hMcZq0n+EVa9lCFs2qE5VHaD0Mu0ocTbaHVWWeUVDzVLCX3ZSiIOUXTHprR0jtBobtj+lBFP
+        qiHS+kjZT8+esGIjWFmw87BQGcLK7MPuYm8hF4lW7RWmlGuUeESWJnm0NIS24FHHauexdZTJKooC
+        RZISzeQHYGOpj0rrOcGj+RmzGnJEfgB7WOiM5BIlcJ8lGapSGWiPGbbE9LBCHnal8KRtBQy7U3ip
+        YF9TRDSyaQk56JEGa4PSdsSjrEiZPD374tyiOX0kWZZoHyF6FnwNkekJEGE4CCPWpOQOEpUBsfoC
+        ssSDGou5GUYyRvYe8hZ5ETJXvGlGocoU9IyCCmD8ZGVJOeyaCljz4e4PYUVNbyvKQupUtY4WEmnN
+        Zb1htSuhSNKeE4iO1cO+RkKkGaZI1bky0YCI9ARZ9Mils6Uz4n1NRCvDlNH1/BCL9BNUhoUPWb26
+        YPcfwG5pTU7u6GjPaYnTxpeKNSJ7oC4VU40vK2a+zKCikQqzHa7WYAeix1ZljZFXRswrpuGzz8kg
+        1G47zwF2Hthbs6WZaNt5rHB6nAmwcn5ZD4qmIdhbw2oP9goPSWD1iLVzxD8nFvIHF/8OU8uAlW1V
+        OxGf2EwpKENJsNHksJD8CaYRC7PZmmTr89ERfPdYFVaWbpasZcoD+EibQL0tPRl2Rrb2byuo9VqE
+        XbPaTy+RKYZreoYOs2iSJKmhrCGoPUX0BqoZ8nYiwl4ty9iKFrAjiX5uxNrrXMxEY2m/GijqqHop
+        2kOIcCwIUBXDKe3Hq7MCdSjlxtlbemJxVsOIg7zNjK2f4q2ysEMtB98ieQuraaieH7lVOKd1yl5o
+        lKevYs1AdFQahjZZLSUVS+5UZ4UMb+WBGylLWMWCu5WQgqTYOUc2ESUTPmXokHIozTaXm9N8JJ7M
+        oXnSxSNUhnB2pGgwY9HKPCt7bSTJOIn2UNUG2mQrlxWedKtE5DGteWBmIohUG/wGLWz+8Y/nBLAo
+        aP7o9roAX8WmojpclkBqhNSIp+HSx0kCVASIoqf70id58jICAoxIXHOLm3ppQqIILuEA+jZBFKc5
+        EEsXznkR8WOcVCD1vbk+kCCucAywZ7tOc6eagelBo4iD0oeLgLG2Bwc64SDEEXmFw+/NKEj2xzj1
+        apSDdgwOejB3h6uOjzgOoihIYRIYFYdpVE/IAgsGeRDCbBXObXAU4U01BwtXnVMPMA0anYrFfBzk
+        n2Mt8z35GMql/ebztXn1+tqq/L4cXj2/ND45eOm6+nVpvHtWtS/uJJBOIL7/uBBm60qTzYqoAa+j
+        2ldISkWFz81xemiUaYMk2IlIo8yDuJEmjVO6zxu6Pmx4efBKnpuNQ7qPvIZDGrixSVOvIdW2G3O8
+        wWcw1QDcDdyINOt0k2QP+QXurZx1wddbzoGB4Ra+XMC422W5Cox/Vtheu3hBcbhcEvXBovE3hqK7
+        LYpt0d2/w9D0kNQw/hbylairUOlOr9eYJG4aZxEpSeNvCQRREsBwiOrvjQEkBbC4ka4bEtOBgfu8
+        ypBfllnxo92+cfdnJAdIb39OYfvdIThTuOnDe0eL7jxQVPNnvQxeApAkzfrkmuuQDtPnW16fMC2u
+        z/dbPc/pt1iXWUMKcJ/BlUNFsElwua+qpenRE0ksZ5Fif6PMTB4U5qQrrIan4Z7ope2nzu4Y94O1
+        Qx3XaW8/DTrd/dOEH1JGt1gOuWlvdWb3LjtltFUI216PeJtF+djT5CUlHfqxuV3740dtfzItOW/z
+        mz58ZmWaF6frDraWSftM5jNjwk/O45Bf7IBJsf5k6rmsjMTlc+Kbs332eFR1P+cOrjo0bPOyCRRQ
+        MS55SXBch4BLnKRxtVzfTr2CfqnLuEk9dB74azHALYqzzwXxfl//sE76+f2ue+6656577rrnrnvu
+        uueue+665/9Y97C9r3UP9nB8qCWFU1K1nID/XlomQbLFdf+7PICT23B/ERvcVQrQFfoH0QbXp2+S
+        pVIoDiiZ/eUwOMcp+PAmCWim+kI4Bya/qJksx6/11+lU9fVw4qVx9SXypZk6J29fsXndKPygnvNd
+        TnSqL7EB3ovyOuLIwtSn+sRN/3Q/yZ9ryBdd8ina39BD15hvQucS7a11CfjausZ8bV3C/kIMvcV+
+        bd7CvzQ/ZuDa85aEW7vOw1fK6lM2Lh23hPx3wqvFfCm9DJ+AfMrD+hrQKjhuHHBSFpUaw0XYALXY
+        qJi2sc7TuKFnEMn3xgw7RUOfjIoGBNMYitcGDMnSbB8B8jZAYTdKHIWV1SwNaos+Li+29vW18du0
+        GUmzz6qNptg31Xa9Q59UW6fPsJ3e16qN6TQeo8zHDY1gDwwWRWP+Jj5v8u3d6HXYWxL+x7qsxbwr
+        s057zXRauHKjld/cuF34rtc6Lbr/pV5zGYencJdqsay3bnGsS7Ucjqdb/b7XpZge2/O4/i967TVv
+        nxye7XXE6WCBzo4dHEfl7Mk/lKEx53fncGVrsl6oy0lnpnWlrK3tz7SqZ97T3Dcek+3r4lu6Mr1N
+        PGsbz4noM9w2N8lY7eibkxJI4aiTa/7+qK9ZwupcmT9uxtxZWz65j+v89ZuweI3YR5nrt4PVozh2
+        XuXNEwrFpw3pqM/JZJdT1nJvi4UysfLZbsc8/ml67VYKd71212t3vXbXa3e9dtdrd71212t/Yb3G
+        dviv9ZqAjzXag7oZRLjCOtBSC30yx0VRMRCILAD221WAyO5xV1/jk8ALqveA4Ao/PeDcW9fnr8cv
+        dSPcF0WM91GtsQC1y92ekORlEySgeLiL3Hl5eamn3+1xRaOgK3M/PQGcV8+78iwILy8bFWWakNOV
+        0y+Nl/qSEoM8SdPaqbK4yLlTGNb2b4KN+yTYbq5fHzu9+XjTO5eJvpA3aVEwIKNeyZfC5pOa6HXf
+        1MTV4Cc1wdMMz3z9DOhpoetiY6INbhqiQT8wHx8DvZm7DrhS5h9REW+BvOsHrp1BL3kJcvfl5hJM
+        /K4cuBbd/VI50GuXprqdbqvb7XVbHE8wiAYQEq6LGdclDuxR7K9PeogpvG53q62VFmmP2hjr8QiK
+        sjBXrlSMwpNAZcnY8LXhCr0m6UFZxm1xFIzDLa/Y50QXYC0JMaNsHM2bVbigTdZ9M/PlBdkfFHq1
+        Qhw1CPXS6Di60acmtEnE3JFiCbszHT6GuI0mBr11UvDq3H0kfr4lY767dLQuLKd4CufwaM2qFO/F
+        aMs5f96TntttvyuHu3K4K4e7crgrh7tyuCuHu3L4CysH5rfecPMw9LHVO2lOmhOc9Nka3rc+PoSk
+        OKR5/Wpa9YynrAg6vzSSoDzH2E8rYq7eMLsR+uc3ymrb16cl79avHZ8muPbdprg9HHmf5N8xHidF
+        4ETkd98P+8Ty1atvV5b/YPkTz3M8zVHdL3neChIvPRQNK83rZxOj6qcbH3j+s8nrIOaBbQA3lvvi
+        D2D9L4F9ZPvDxYmXw8WJl/r3Ix/ZvvqlyRdsz2BCMxxFtTjsAdvjDtvqEcy2+g7bp/kuQ/Up8gvb
+        a2lbLheBPYvgY3O3lAVneV6dp3li7RyKLof9vnRaZv5u1unPi6lvsPSOOZfRnKV9OQ6dmVs6+dLe
+        m5qiAEDG5XCKE2awQvZpxh90ouhOyn2jB6+U5S2O1DEUjvLJj3jy2Pa/HVxll5bD82uZ9HvmST0I
+        zmodcLI6w4YP6OKVjhPONfiIdp4eHbt9Iuqfxva3Eriz/Z3t72x/Z/s729/Z/s72d7b/S7M9/Tts
+        3/sE391fyZv/gN38Z+aufpzyFwX7Q1D6jSABbosiILoGgPFLXASN18thBWh7t/yI/3z//b2gN5d/
+        gX+KZan/f/DvdD3SI4RpEZajWxzr9Fp9vse0vB7dJ2uG5hna+wX+N9aOifbqAgmr6WgrPqEjmfdn
+        ne4Zbdtthe49lbNdr7+Mz+arPJ70A+V8VMx4MXGK4eCpzCU5m9Bye82Z/WL+nBRL6WmMlmvlW2AC
+        EE10MRuuVp2Zrwx3U12ysWx3XM7bHE7WU3t4ysyOwrXZRKYjpb07smW7vfUSt7c7BUdYX/Neuu87
+        QSzvR1loMlZPKP5E+L+UwP8G/v9ZDYa6hJL7+V8G//igMUAAAA==
+    headers:
+      appserver: [proxy04.fedoraproject.org]
+      apptime: [D=583692]
+      connection: [Keep-Alive]
+      content-encoding: [gzip]
+      content-length: ['4027']
+      content-type: [application/json]
+      date: ['Wed, 22 Mar 2017 19:24:03 GMT']
+      keep-alive: ['timeout=15, max=500']
+      server: [Apache/2.4.6 (Red Hat Enterprise Linux) mod_wsgi/3.4 Python/2.7.5]
+      strict-transport-security: [max-age=15768000; includeSubDomains; preload]
+      vary: [Accept-Encoding]
+    status: {code: 200, message: OK}
+version: 1
diff --git a/hubs/tests/vcr-request-data/hubs.tests.widgets.test_halp.HalpViewsTestCase.test_data_wrong_hub b/hubs/tests/vcr-request-data/hubs.tests.widgets.test_halp.HalpViewsTestCase.test_data_wrong_hub
new file mode 100644
index 0000000..6b0a36a
--- /dev/null
+++ b/hubs/tests/vcr-request-data/hubs.tests.widgets.test_halp.HalpViewsTestCase.test_data_wrong_hub
@@ -0,0 +1,98 @@
+interactions:
+- request:
+    body: null
+    headers:
+      Accept: ['*/*']
+      Accept-Encoding: ['gzip, deflate']
+      Connection: [keep-alive]
+      User-Agent: [python-requests/2.13.0]
+    method: GET
+    uri: https://apps.fedoraproject.org/datagrepper/raw?topic=org.fedoraproject.prod.meetbot.meeting.item.help&delta=864000
+  response:
+    body:
+      string: !!binary |
+        H4sIAAAAAAAAA+2baY/qSpKG/wpivnTrHAqvgI/UH8pgAwZMeUuDp1ql9AI2XvFSLK3z3ydsoJbT
+        de/oztyRrkZIJZUz7YyMCEcmz4vNv9o431axl5RF+8e/2g4uvW2aBx60/vOf39tOmpQ4SK4t14tK
+        3P4x6DEEQTwQ39te4rZ/kAxHUCTBUVTdtc3TKvOge4Ojwvvejr16SD06ScuXX+3XfRl2Qrz92FOm
+        WeB8aFeFl1+bae56efsHuFI47e/tz2MzOAR/vrfz9FC8ZF7+cumh2O/tosR5WTs74Gimd3X2bSKw
+        u33YeG6a4yxPd55TPsB/9yH2vNJOy+Z/kGwfgtKLH3wvytow3ZtbP+tEVQmYZy9OFBcv8OEl9ori
+        6iBk18vLYBPUSYAQ5hpRzjVyqBqupAf8SEWSoRmWpBCioTbniHIYkpJmIIRDeaToLmkRIq0ZEm8R
+        0UhBKeMSqmoa2fw5sclMwhNrp4eiqhrW0DBE2qJE3hPknmJkQ4tgTSUULSSIBYqUmY7Es0vIMBr+
+        kCipK3emk2JPRaL8nCi6OlF0EamGxOiGj2zDOpuRW9ixKKjIl5UIXc/LqW5wmo2sfL2TZ/gxk9RQ
+        Ytc76WCL4dlY+cJz4oXiUondJQol3iHVoY2ywgydI+QR5uNlReev1kSYzcWNtchf2iGpLieuYKBI
+        GEaWaqx48TlxyawEXzR3vDitaX+GQzEH67lj+jk2HNY980OFFEVErE9qXAaIOpJGbVXMJstVZJnC
+        u3/PibEyZrXnMNdQFn0BCcZBN1TLJThDW0WyOnYOOrJeTUE1NJ2XVTGi9TiTPIMUrDMvo5iDPKMm
+        z5C3j5l+zHhbtIzfy/Tv5fk5+a1MD+PpWYv9f8v07+UZrK0sWTl/yLRJ7hakRVvInbmxOlro05mJ
+        XGaBMkNZ+Qs7lF4tQ5VclJUI8rggsnRN+HCtWD4nKM5C5YyoNUXuPOHYU1bqNXI5R0JW6Ttxp42P
+        GeRWdR+zsI7MEl3kEqQur1xfG7usPiabu/Kc/HpfjBWq56t0JMOdyPi6xj9WOCakMR6r6TDKJosV
+        H0D7UhOxDL6pibuz9egIPcuFcCzBOvZCeWgnGa+HUoJpMcVUBNXgHJTLeuEVgxviSORdyrUwsZhZ
+        ZCRCFornxDFZzab5CHK0sIac4oXSVCPV+RLJIqzFPTaPvkOISyeMxgtCHuJYoty4FJcrnnGQX4FP
+        2IjJuWJET8/J4jFbuDofaCM3mJOugWM/tATlNCeQqBrl0RojCYXRTItFAwtH1UbqREt42hxHiiUs
+        jkvdesKTjFZF/wirXswQNqzQGMn7Yehm6khkLbQ+K7T8ikeqKYe+ZCYRgwiyZxFqukBovNAtf0YJ
+        J0UXSG0sV7Ozy6/pCFYW7Dw0VAa/NjjYXawd5CJR673CEHOVEI7IVEWXFEfQ5l3iWO88loYySUFR
+        IItiohrsEGystHFpPid4vDhjWkW2wA5hDwvtsVSiBO6zKEFVykP1McOmkB7WyMWOGJ7UHY9hdwov
+        FeyrsoDGFikiGz2SYG1YWrZwlGQxk2ZnX1iYJKONRdMUrCNET4OvITJcHiIMh2FEG4TUQ4I89EyO
+        R6ZwUGIhN8JIwsiqIG+RGyFjzRpGFCpUQc4JqADKT9ammMOuKYM1H+7+CFbU7LaiTKTMFPNoIoFU
+        Hdod1bsSikT1OYHoaC3kVC9Eqm4IRJMrAw09gZwikxw7ZLayx6yvCmitGxK6nh9hgXyCyjDxIWtW
+        F+z+Q9gtzenJGR+tBSky6uRSsXpkDZWVbCjxZcUsVhlUNFJgtsPVGuxA5MSsrVHSWo9Z2dB9+jkZ
+        hupt5znAzgN7a7YyEnW3iGVGizMeVs4v60FWVQR7a1jvwW7hIhGsHrF6jtjnxET+8OLfYWbqsLLN
+        eidiE4sqeXkk8haaHpaiP8UkomE2SxUtbTE+gu8urcDK0oySNg1pCB9pU6i3lSvBzkg3/u14pVmL
+        sGvW++klMll3DFfXYBZVFEUllFQEtScL7lAxQtZKBNirJQmb0RJ2JMHP9Vh9XQiZoK+sVx1FPUUr
+        BWsEEU54HqpiNCP9eH2WoQ7FXD+7K1cozkoYMZC3ub7zU7yTl1ao5uBbJO1gNY2U8yOzDhekRlhL
+        lXC1dazqiIxKXVen65WoYNGZaTSf4Z00dCJ5BauYd3YikpEY2+fI8gTRgE8ZMiRsQrWM1fa0GAsn
+        Y2ScNOEIlcGfbTEazmm0Ns5ypY5FCSdRBVWto222dmj+STNL5D2mDQ/MDQSRqsPfoIXtP/7xnAAW
+        Be0f/UEf4KvY1lSHyxJIzfMaxFNx6eMkASoCRNHSqvS9PHkZAwFGXtxwi5O6aeJFEVzCAPRtgyhO
+        cyCWPpxzI8+PcVKD1Pf25uAFcY1jgD27TZrb9QzUABpFHJQ+XASMtTvY0AkHIY68Vzj83o6CpDrG
+        qdugHLRjcNCFuXtMfXzEcRBFQQqTwKg4TKNmQhpYMMiDEGarcW6Lowhv6zlouOqcuoBp0OjVLObj
+        IP8ca5lX3sdQLu03n6/Nq9fXVu335fDq+aXxycFL19WvS+Pds7p9cSeBdALx/ceFMDtXmmzXRA14
+        HTW+QlJqKnxuT9JDq0xbXoLtyGuVeRC30qR1Squ8pWmjlpsHr95zu3VIq8ht2V4Lt7Zp6rbExnZr
+        gbf4DKZagLuBE3ntJt1eUkF+mV6vdtYBX285BwaGW/hyAeN+n2YY+oH4WWN74+IFxeFyUdCGy9bf
+        KILsdwi6Q/b/DkPTQ9LA+FvIV6KuQyV7g0FrmjhpnEVe6bX+lkAQpQcYDlH9vTWEpAAWt9JNS6R6
+        MLDK6wz5ZZkVP7rdG3d/RnKA9O7nFHbfHYIzhZM+vHd0yN4DQbR/NsvgJQBJ0m5Obpie16M4tuNy
+        HtVhOJbrDFyb69AOtYEUYI7CtUNFsE1wWdXV0nbJqSiU80i2vhFGJg0LY9rn16PTqPK00vJTe3+M
+        uWBjE8dNOqhmQa9fPU3ZEaH3i9WImQ3WZ7py6BmlrkPY9gaeu12WjwNVWhHigYuN3cafPKrVyTCl
+        vMtuOfjMylQ3Tjc9bK6S7tlbzPUpOz1PQna5BybF2pOh5ZI8FlbPiW/Mq+zxqGh+zhwcZaRbxmUT
+        KKBiHO8lwXETAi5xksb1cn079Qr6pSnjNvHQe2CvxQC3KM4+F8T7ff3DOunn97vuueueu+656567
+        7rnrnrvuueue/2PdQw++1j3YxfGhkRR2STRyAv67aZkEyQ43/e/yAE7uwuoiNpirFCBr9A+iLW5O
+        3yRLrVBsUDLV5TA4xyn48CYJSKr+QjgHJr+omSzHr83X6UT99XDipnH9JfKlmdont6rZvGkUftDM
+        +S4nevWX2ADvRXkdcaRh6lNz4qZ/+p/kzzXkiy75FO1v6KFrzDehc4n21roEfG1dY762LmF/IYbe
+        Yr82b+Ffmh8zcO15S8Kt3eThK2X1KRuXjltC/jvh1aG+lF6674F8ysPmGtAqOG4dcFIWtRrDRdgC
+        tdiqmba1ydO4pWUQyffWHNtFS5uOixYE0xoJ1wYMydKsigB5W6CwWyWOwtpqlgaNRR+XF1tVc238
+        Nm3mpdln1UYS9Jtqu96hT6qtx1F0b/C1aqN6rcco83FL9bALBouitXgTnzf59m70OuwtCf9jXdah
+        3pVZr7uheh1cu9HJb27cLnzXa70OyX2p1xzKZgncJzo07W46DO0QHZthyQ7HuX2CGtADl+F+0Wuv
+        efdks/SgJ8yGS3S2reA4LudP/qEM9QW7P4drS5W0QllNe3O1L2ZdtTqTipa5Twtff0x2r8tv6dpw
+        t/G8qz8ngk8xu9zwJkpP257kQAzHvVz1q6O2oT1aY8r8cTthzurqyXnc5K/f+OVrRD9KDNcN1o/C
+        xH6Vtk8oFJ62Xk95Tqb7nDBXlSUU8tTM5/s99fin6bVbKdz12l2v3fXaXa/d9dpdr9312l2v/YX1
+        Gt1jv9ZrPD42aA/qZhjhGutASy216QIXRc1AILIA2G9XASI7x31zje8FblC/BwRX+OkB5+6mOX89
+        fmkaYVUUMa6iRmMBapf7yvOSl22QgOJhLnLn5eWlmX5f4ZpGQVfmfnoCOK+fd+VZEF5eNirKNPFO
+        V06/NF6aS0oM8iRNG6fK4iLnTmHY2L8JNuaTYLu5fn3s9ObjTe9cJvpC3qRFQYGMevW+FDaf1MSg
+        /6YmrgY/qQmWpFjq62dAT0tNE1pTdXjTEC3ygfr4GOjN3HXAlTL/iIp4C+RdPzDdDHq9lyB3Xm4u
+        wcTvyoHpkP0vlQO5cUii3+t3+v1Bv8OwHgbRAELCcTDlOJ4NexT965Mez+Bfd/v1zkyLdEBs9c1k
+        DEVZGGtHLMbhiSeyZKL76miNXpP0IK/irjAOJuGOla1zovGwlviYkre26s5rXFCnG87IfGnpVQeZ
+        XK8RQwxDrdR7tqZzxJQ0PCG3xVjEzlyDjyFmqwrBYJMUrLJwHj0/33kTtr+y1T4sp3gG5/B4QysE
+        68Zox9h/3pOe222/K4e7crgrh7tyuCuHu3K4K4e7cvgLKwfqt95wczH00fU7aXaaezjh6Abedz4+
+        hF5xSPPm1bT6GU9ZE3R+aSRBeY6xn9bEXL9hdiP0z2+UNbavT0verV87Pk1w7btNcXs48j7Jv2M8
+        TorAjrzffT/sE8vXr75dWf6D5U88z7AkQ/S/5HkzSNz0ULTMNG+eTYzrn2584PnPJq+DqAe6BdxY
+        VsUfwPpfAvvI9oeLEy+HixMvze9HPrJ9/UuTL9iewh5JMQTRYbALbI97dGfgYbrD2TRHsn2K4Ajv
+        F7ZX065ULgNrHsHH5n4l8fbqvD7P8sTc2wRZjjhOPK0yfz/vcYti5us0uafOZbSgSV+KQ3vulHa+
+        sipDlWUAyLgczXBCDdfIOs3Zg+bJmp0y38jhK2G6yyNxDPmjdPIj1nvs+t8OjrxPy9H5tUy4gXFS
+        Dry93gSMpMyx7gO6uKVthwsVPqLtp0fb6p485U9j+1sJ3Nn+zvZ3tr+z/Z3t72x/Z/s72/+l2Z78
+        HbYffILv/q/kzX7AbvYzc9c/TvmLgv0hKP1WkAC3RREQXQvA+CUugtbr5bAGtMopP+I/y72/F/Tm
+        8i/wT9A08f8P/u2+6w08j+p4NEN2GNoedDh2QHXcAcl5G4pkKdL9Bf635p6KKmWJ+PVsvBOe0NFb
+        cPNe/4x23a5MDp7K+X7AreKz8SpNplwgn4+yES+ndjEaPpW5KGVTUupuGIMrFs9JsRKfJmi1kb8F
+        BgDRVBOy0Xrdm/vyaD/TRAtLVs9h3O3hZD51R6fM6MlMl04kMpK7+yNddrs7N3EG+1NwhPW1GKQV
+        ZwexVI2z0KDMAV/8ifB/KYH/Dfz/sx4MdQkl9/O/ADfmpbMxQAAA
+    headers:
+      appserver: [proxy02.fedoraproject.org]
+      apptime: [D=886956]
+      connection: [Keep-Alive]
+      content-encoding: [gzip]
+      content-length: ['4029']
+      content-type: [application/json]
+      date: ['Wed, 22 Mar 2017 19:28:42 GMT']
+      keep-alive: ['timeout=15, max=500']
+      server: [Apache/2.4.6 (Red Hat Enterprise Linux) mod_wsgi/3.4 Python/2.7.5]
+      strict-transport-security: [max-age=15768000; includeSubDomains; preload]
+      vary: [Accept-Encoding]
+    status: {code: 200, message: OK}
+version: 1
